Subject: Re: bug#18011: 24.4.50; REGRESSION, `help-echo' function value now needs `save-excursion'
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Sun, 13 Jul 2014 19:41:17 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Drew Adams wrote:

> Why should a `help-echo' function need to `save-excursion'?

I can't think why it should NOT need to, if it moves point;
nor can I find any Emacs release where it does not need to.
I tested back to 22.3 with

(put-text-property 1 10 'help-echo 'foo)

(defun foo (w o p)
  (goto-char (point-max))
  "foo")

> HTH.  Close the bug if you don't care about this - I have my fix.

Thanks.